Name:          kstars
Version:       4.13.3
Release:       1mamba
Summary:       Desktop Planetarium
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kde.org/applications/education/kstars/
Source:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kstars-%{version}.tar.xz
License:       GPL
BuildRequires: cmake
BuildRequires: libqt4-devel
BuildRequires: kdelibs-devel
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: kde-workspace-devel
BuildRequires: libgcc
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libqt4-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXpm-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: eigen3-devel
Requires:      kde-workspace
Provides:      kstars4 = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     kstars4
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KStars is a Desktop Planetarium for KDE.
It provides an accurate graphical simulation of the night sky, from any location on Earth, at any date and time.
The display includes up to 100 million stars, 13,000 deep-sky objects,all 8 planets, the Sun and Moon, and thousands of comets and asteroids.

Features
 * Catalogs:
    * Default catalog consisting of stars to magnitude 8;
    * Extra catalogs consisting of 100 million stars to magnitude 16;
    * Downloadable catalogsincluding Messier Images, Abell Planetary Nebulae;
    * Corrections for precession, nutation and atmospheric refraction;
    * Tools for retrieval of data from Online Databases;
    * Scriptable actions using D-Bus;
    * Integration with INDI provides support for a wide range of instruments.
 * Features for Educators and Students:
    * Adjustable simulation speed in order to view phenomena that happen over long timescales;
    * KStars Astrocalculator to access some of the internal calculations of KStars,and also to predict conjunctions etc.;
    * Astroinfo project to help facilitate learning with the aid of KStars;
    * Internet links for further information / pictures of objectsv.
 * Features for Amateur Astronomers:
    * Observing List tool to plan observations;
    * FOV Editor helps calculate field of view of equipment and display them;
    * ObtainAAVSO light curves for variable stars;
    * What's up tonight tool;
    * Altitude vs Time tool;
    * Sky Calendar tool.

%prep
%setup -q

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
touch --no-create %{_kde4_icondir}/hicolor &>/dev/null
exit 0

%posttrans
update-desktop-database -q &>/dev/null
gtk-update-icon-cache %{_kde4_icondir}/hicolor &>/dev/null
exit 0

%postun
if [ $1 -eq 0 ]; then
   update-desktop-database -q &>/dev/null
   touch --no-create %{_kde4_icondir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_icondir}/hicolor &>/dev/null
fi
exit 0

%files
%defattr(-,root,root)
%{_kde4_bindir}/%{name}
%config %{_kde4_configdir}/%{name}.knsrc
%{_kde4_datadir}/%{name}
%{_kde4_icondir}/hicolor/*/apps/%{name}.png
%{_kde4_icondir}/hicolor/scalable/apps/%{name}.svgz
%{_kde4_kcfgdir}/%{name}.kcfg
%{_kde4_libdir}/libhtmesh.a
%{_kde4_xdgappsdir}/%{name}.desktop
%doc %lang(en) %{_kde4_htmldir}/en/%{name}
%doc AUTHORS COPYING COPYING.DOC ChangeLog README README.api README.customize README.ephemerides README.i18n README.images README.planetmath README.timekeeping TODO

%changelog
* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Wed Feb 13 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Thu Aug 16 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Sat May 05 2012 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Sat Apr 07 2012 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Tue Mar 27 2012 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Sun Dec 11 2011 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic version update by autodist

* Thu Nov 03 2011 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2011 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- automatic version update by autodist

* Sun Oct 02 2011 Davide Madrisan <davide.madrisan@gmail.com> 4.7.1-1mamba
- package created by autospec
